\documentclass[12pt,a4paper]{article}
\usepackage{amsmath,amssymb,amsthm,epsfig,amscd,verbatim}
\usepackage[french]{babel} 
\usepackage{fancyvrb}
%\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\addtolength{\textwidth}{3cm} 
\addtolength{\textheight}{4cm}
\addtolength{\hoffset}{-2cm} 
\addtolength{\voffset}{-2cm}

\usepackage{hyperref}
\usepackage{float}

%% commandes utiles %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\R}{\mathbb{R}}
\newcommand{\C}{\mathbb{C}}
\renewcommand{\vec}[1]{\mathbf{#1}}
\newcommand{\tr}{\mbox{tr}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\begin{document}
\noindent UNIVERSIT\'E DE GEN\`EVE \hfill Section de Math\'ematiques \\
\noindent Facult\'e des Sciences \hfill \`A rendre le mercredi 3 mai \\[-3mm] \hrule
\bigskip

\begin{center}
\textbf{\Large{Méthodes Itératives}}  \\[1mm]\bigskip
\textbf{Série 4}
\end{center}
\bigskip


\textbf{Part I: The Kantorovitch inequality}\\
In this fist part you must prove the Kantorovitch inequality using the Wielandt inequality.
Consider a Hermitian positive definite matrix $A \in \C^{n \times n}$ having eigenvalues
$0<\lambda_1\leq\lambda_2\leq\cdots\leq\lambda_n$. The Wielandt inequality is
\begin{equation}\label{eq:Wielandt}
| \vec{u}^H A \vec{v} |^2 \leq \left( \frac{ \lambda_1 - \lambda_n }{ \lambda_1 + \lambda_n } \right)^2
(\vec{u}^H A \vec{u}) (\vec{v}^H A \vec{v}) \, \text{ for all orthogonal $\vec{u},\vec{v} \in\C^n$},
\end{equation}
and the Kantorovitch inequality is
\begin{equation}\label{eq:Kantorovitch}
(\vec{u}^H A \vec{u}) (\vec{u}^H A^{-1} \vec{u}) \leq \frac{ ( \lambda_1 + \lambda_n )^2 }{ 4 \lambda_1 \lambda_n }
\| \vec{u} \|_2^4 \, \text{ for all $\vec{u} \in\C^n$}.
\end{equation}
The Kantorovitch inequality can be obtained by the Wielandt inequality following the next steps.
\begin{enumerate}
  \item[(a)] (3 pts) Show that \eqref{eq:Wielandt} and \eqref{eq:Kantorovitch} are both satisfied if $\vec{u} \in \C^n$
  is an eigenvector of $A$.
  Hint: use the arithmetic-geometric mean inequality $\sqrt{ab} \leq \frac{1}{2} (a+b)$
  for any $a,b>0$.
  
  \item[(b)] (3 pts) Show that if $\vec{u} \in \C^n$ is not an eigenvector of $A$,
  then $A^{-1} x - (\vec{u}^H A^{-1} \vec{u}) \vec{u} \neq 0$
  and $x - (\vec{u}^H A^{-1} \vec{u}) A \vec{u} \neq 0$.
  
  \item[(c)] (3 pts) Show that if $\vec{u} \in \C^n$ is a unit vector, that is $\|\vec{u}\|_2=1$, 
  then $(\vec{u}^H A \vec{u}) (\vec{u}^H A^{-1} \vec{u}) \geq 1$, with strict inequality if $\vec{u}$ is
  not an eigenvector of $A$.
  Hint: begin with $1 = (\vec{u}^H \vec{u})^2 = (\vec{u}^H A^{1/2} A^{-1/2} \vec{u})^2$
  and use the Cauchy-Schwarz inequality.
  
  \item[(d)] (3 pts) Consider a unit vector $\vec{u} \in \C^n$ which is not an eigenvector of $A$.
  Define $\vec{v} := A^{-1} \vec{u} - (\vec{u}^H A^{-1} \vec{u}) \vec{u}$.
  Show that
  \begin{itemize}\itemsep0em
  \item[(1)] $\vec{v}^H \vec{u} = 0$.
  \item[(2)] $A\vec{v} \neq 0$.
  \item[(3)] $\vec{u}^H A \vec{v} = 1 - (\vec{u}^H A \vec{u}) (\vec{u}^H A^{-1} \vec{u}) < 0$.
  \item[(4)] $\vec{v}^H A \vec{v} = - (\vec{u}^H A^{-1} \vec{u}) (\vec{v}^H A \vec{u})$.
  \end{itemize}
  Hint: use the results proved in (b) and (c).
  
  \item[(e)] (4 pts) Use the Wielandt inequality \eqref{eq:Wielandt} and the results proved above
  to obtain the Kantorovitch inequality \eqref{eq:Kantorovitch}.
  
\end{enumerate}

$\;$\\
\\

\textbf{Part II: Summary of stationary iterative methods}
\begin{enumerate}
  \item (2 pts) Show the following equivalences:
  \begin{itemize}
  \item Jacobi:
  \begin{equation*}
  \begin{split}
  &(\vec{u}_{k+1})_i = \frac{1}{a_{ii}}\left[\vec{f}_i - \sum_{j=1}^{i-1} a_{ij} (\vec{u}_{k})_j - \sum_{j=i+1}^{n} a_{ij} (\vec{u}_{k})_j \right] \\
  &\Leftrightarrow \;
  \vec{u}_{k+1} = - D^{-1} (L+U) \vec{u}_{k} + D^{-1} \vec{f}.
  \end{split}
  \end{equation*}
  \item Gauss-Seidel: 
  \begin{equation*}
  \begin{split}
  &(\vec{u}_{k+1})_i = \frac{1}{a_{ii}}\left[\vec{f}_i - \sum_{j=1}^{i-1} a_{ij} (\vec{u}_{k+1})_j - \sum_{j=i+1}^{n} a_{ij} (\vec{u}_{k})_j \right] \\
  &\Leftrightarrow \;
  \vec{u}_{k+1} = - (D+L)^{-1} U \vec{u}_{k} + (D+L)^{-1} \vec{f}.
  \end{split}
  \end{equation*}
  \item SOR:
  \begin{equation*}
  \begin{split}
  &(\vec{u}_{k+1})_i = (1-\omega)(\vec{u}_{k})_i + \frac{\omega}{a_{ii}}\left[\vec{f}_i - \sum_{j=1}^{i-1} a_{ij} (\vec{u}_{k+1})_j - \sum_{j=i+1}^{n} a_{ij} (\vec{u}_{k})_j \right] \\
  &\Leftrightarrow \;
  \vec{u}_{k+1} = - (D+\omega L)^{-1} \left[ \bigl( (1-\omega)D - \omega U \bigr) \vec{u}_{k} + \omega \vec{f} \right].
  \end{split}  
  \end{equation*}
  \end{itemize}
  
  \item (3 pts) Consider $A$ the discrete matrix of $-\Delta$ in dimension 2.
  Show that the method of Jacobi and the method of Richardson (with the optimal parameter $\alpha_{opt}$
  computed in the Série 3) have the same convergence behavior.
  
  \item (3 pts) Consider a matrix $A \in \R^{2 \times 2}$ and the splitting $A = D + L + U$ with $D$ invertible.
  Show that if the method of Jacobi converges, then the method of Gauss-Seidel converges as well with a faster
  rate of convergence.
  
  \item (4 pts) Consider the $A\in \R^{n\times n}$ the discrete matrix of $-\Delta$ in dimension 2
  and let $h=\frac{1}{n+1}$ be the mesh size.
  Denote by $\rho(G_{\rm J};h)$, $\rho(G_{\rm GS};h)$, and $\rho(G_{\rm SOR};h)$ the spectral radii
  of the Jacobi, Gauss-Seidel, and SOR methods as a function of $h$.
  Prove that:
  \begin{itemize}\itemsep0em
  \item $\rho(G_{\rm J};h) = 1 - \frac{\pi^2}{2} h^2 + O(h^4)$.
  \item $\rho(G_{\rm GS};h) = 1 - \pi^2 h^2 + O(h^4)$.
  \item $\rho(G_{\rm SOR};h) = 1 - 2 \pi h + O(h^2)$.
  \end{itemize}
  
\end{enumerate}

$\;$\\
\\

\textbf{Part III: Steepest descent and conjugate gradient methods}
\begin{enumerate}\itemsep0em

\item (4 pts) Consider a function $f : \R^n \rightarrow \R$ and denote by $\nabla f(\vec{v})$ the
gradient of $f$ in $\vec{v} \in \R^n$ obtained by the usual scalar product for $\R^n$.
Prove that $\nabla f(\vec{v})$ is orthogonal to the level set of $f$ in $\vec{v}$ and that
$-\nabla f(\vec{v})$ defines the direction of steepest descent of $f$ in $\vec{v}$.

\item (4 pts) Implement the steepest descent method to solve a linear system $A \vec{u} = \vec{f}$.

\item (4 pts) Implement the conjugate gradient method to solve a linear system $A \vec{u} = \vec{f}$.

\item (1 pts) Test your codes to solve the Laplace equation.

\end{enumerate}


$\;$\\
\\

{\bf \'Evaluation:}
\begin{itemize}
\item[$\bullet$] Les exercices
\item[$\bullet$] Un examen oral durant la session d'examens sur le cours.
\end{itemize}
La note finale est de : $30 \%$ exercices et $70\%$ examen oral.\\ 
Les exercices sont notés $15\%$ pour la présentation de séries et
$15\%$ pour la présentation au tableau. Il faut passer au tableau au
moins 3 fois dans le semestre.
 

\end{document}
